cURL
curl --request GET \
--url https://api.altur.io/api/v1.0/thread/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.altur.io/api/v1.0/thread/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.altur.io/api/v1.0/thread/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent": {
"id": "<string>",
"name": "<string>"
},
"end_user": {
"id": "<string>",
"display_name": "<string>",
"info": "<string>"
},
"integration": {
"id": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"active": true,
"blocked": true,
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"assigned_to": [
{
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
]
}{
"error": 123,
"message": "<string>"
}Threads
Retrieve Thread
Returns the Thread corresponding to the given identifier
GET
/
thread
/
{id}
cURL
Authorizations
Add api-key YOUR_API_SECRET_KEY as the value of the Authorization header.
Path Parameters
The identifier of the Thread to return
Response
Thread response
Unique identifier for the Thread
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last time the Thread was updated
Boolean describing if automatic responses by the Agent are active on this Thread
Boolean describing if Thread is blocked
Tags assigned to Thread
Show child attributes
Show child attributes
Users assigned to Thread
Show child attributes
Show child attributes
⌘I